MAC安装rabbitmq扩展

PHP结合rabbitMQ需要安装amqp扩展,之前又在windows安装,今天尝试mac安装一下。

  1. 下载

前去amqp,下载需要的版本。

  1. 安装
1
2
3
4
phpize
// --with-php-config 路径自己修改
./configure --with-php-config=xxx/php-config
make && make install

如果没装rabbitmq-c,应该会报错。

1
configure: error: Please reinstall the librabbitmq distribution itself or (re)install librabbitmq development package if it available in your system

下载rabbitmq-c

1
2
3
cd rabbitmq-c-0.8.0
./configure --prefix=/usr/local/rabbitmq-c
make && make install

重新编译amqp

1
2
./configure --with-php-config=xxx/php-config --with-amqp --with-librabbitmq-dir=/usr/local/rabbitmq-c/
make && make install

make时提示缺少amqp_ssl_socket.h
fatal error: ‘amqp_ssl_socket.h’ file not found
#include <amqp_ssl_socket.h>

这里可以看一下 https://github.com/alanxz/rabbitmq-c/issues/463

然后可以把rabbitmq-c的librabbitmq下amqp_ssl_socket.h文件copy到amqp扩展目录,重新编译即可。

安装成功记得在ini加入extension=”amqp.so”,最后可以使用php -m